baseURL = 'https://benhays.org/'
languagecode = 'en-us'
title = 'Benjamin Hays'
theme = "typo"

[markup.goldmark.renderer]
unsafe = true

[taxonomies]
tag = 'tags'

[params]
footerContent = '<a href="https://creativecommons.org/licenses/by-nc/4.0/" target="_blank" rel="noopener">CC BY-NC 4.0</a>'

paginationSize = 20
homeCollectionTitle = 'Posts'
homeCollection = 'posts'
readTime = true
showTags = true

# Meta
description = "Benjamin Hays: Information Security Student"
keywords = "benjamin, ben hays, hays, Benjamin Hays, security, technology, infosec, IT, blog"
images = [""]

# Generator Options
breadcrumbs     = true
listSummaries   = false 
enableRobotsTXT = true
enableGitInfo   = true
enableEmoji     = true
enableMissingTranslationPlaceholders = false
disableRSS      = false
disableSitemap  = false
disable404      = false

# Appearance settings
theme = 'auto'
colorPalette = 'default'
hideHeader = false

# Intro on main page, content is markdown
homeIntroTitle = ''
homeIntroContent = """
I'm currently a full-time high school student in the USA, but I make time for studying computer science in my free-time.

The code for [this website](https://git.benhays.org/BenHays42/Personal-Website/) and a few of my other projects is available at [git.benhays.org](https://git.benhays.org)

If you need to reach out or just have a quick convo, you can best reach me by email: ben@benhays.org, but you can also find me on LinkedIn from time-to-time"""

[params.googleAnalytics]
ID = "G-KBCW53YDNQ"  # Your GA4 Measurement ID
enabled = true

# Main menu pages
[[params.menu]]
name = "home"
url = "/"

[[params.menu]]
name = "posts"
url = "/posts"

#[[params.menu]]
#name = "about"
#url = "/about"

# Syntax highlight on code blocks
[markup]
[markup.highlight]
style = 'catppuccin-frappe'

[[deployment.matchers]]
pattern = "^.+\\.(js|css|svg|ttf|woff2)$"
cacheControl = "max-age=31536000, no-transform, public"
gzip = true

[[deployment.matchers]]
pattern = "^.+\\.(png|jpg|gif|webp)$"
cacheControl = "max-age=31536000, no-transform, public"
gzip = false

[[params.social]]
name = "email"
url = "mailto:ben@benhays.org"

[[params.social]]
name = "github"
url = "https://github.com/benjaminhays"

[[params.social]]
name = "linkedin"
url = "https://www.linkedin.com/in/benjaminhays42"

[params.giscus]
enable = true
repo = "benjaminhays/giscus"
repoid = "R_kgDOM8EW7A"
category = "General"
categoryid = "DIC_kwDOM8EW7M4CjGh9"
mapping = "pathname"
theme = "preferred_color_scheme"
